# Visitor (deprecated)

{% hint style="danger" %} <mark style="color:red;">**This resource is deprecated.**</mark> <mark style="color:red;">You should consider using our GraphQL API with the</mark> <mark style="color:red;">`Visitor`</mark> <mark style="color:red;">or</mark> <mark style="color:red;">`Visitors`</mark> <mark style="color:red;">objects.</mark>
{% endhint %}

## **Get visitors**

`GET /visitor`

See below to discover used fields and see [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Filters**

| Filter       | Description         | Use                         |
| ------------ | ------------------- | --------------------------- |
| unique\_id   | Unique identifier   | `?filters[unique_id]=123`   |
| external\_id | External identifier | `?filters[external_id]=123` |
| website\_id  | Website identifier  | `?filters[website_id]=123`  |

## **Get a visitor details**

`GET /visitor/560`

See [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Fields**

| Field        | Description                 | Values                     |
| ------------ | --------------------------- | -------------------------- |
| id           | Visitor identifier          | Integer                    |
| unique\_id   | Visitor unique identifier   | String                     |
| external\_id | Your id if provided         | String                     |
| lastname     | Last name                   | String                     |
| firstname    | First name                  | String                     |
| address      | Address                     | String                     |
| city         | City                        | String                     |
| zip          | Zip code                    | String                     |
| country      | Country                     | String                     |
| phone        | Phone number                | String                     |
| email        | Email                       | String                     |
| browser      | Browser used by visitor     | String                     |
| website\_id  | List of website identifiers | List of integers           |
| created\_at  | Visitor creation date       | Date `YYYY-MM-DD HH:MM:SS` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/rest-api/visitor-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
